Firefox 69 Anpassungen fehlerhaft trotz about:config Änderung

  • Hallo GermanFreme82


    Teste mal dieses Script, es schiebt nur die Tableiste wieder
    unter die Lesezeichenleiste.


    Code
    (function() {
    var tabbar = document.getElementById('TabsToolbar');
    if (tabbar && !tabbar.collapsed) {
    tabbar.parentNode.parentNode.appendChild(tabbar);
    };
    })();


    Speichere es als Script: TableisteUnten.uc.js im chrome Ordner.

    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:107.0) Gecko/20100101 Firefox/107.0.1
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:108.0) Gecko/20100101 Firefox/108.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:109.0) Gecko/20100101 Firefox/109.0

    OS: Windows 7 64 bit - Irgendwann Windows 10 64 bit wenn Firma will.
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Teste mal dieses Script, es schiebt nur die Tableiste wieder
    unter die Lesezeichenleiste.



    Speichere es als Script: TableisteUnten.uc.js im chrome Ordner.

    Hallo Endor, das Skript hat er doch, ich habe ihm das auch noch einmal angeboten. Er meint, es funktioniere nicht und wäre nutzlos. Aber natürlich funktioniert es.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • Achso, na dann ist alles klar....

    Mfg.
    Endor

    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:107.0) Gecko/20100101 Firefox/107.0.1
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:108.0) Gecko/20100101 Firefox/108.0
    Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:109.0) Gecko/20100101 Firefox/109.0

    OS: Windows 7 64 bit - Irgendwann Windows 10 64 bit wenn Firma will.
    Kein Support per PN. Fragen bitte im Forum stellen!

  • Vielen Dank !

    Hab ich nun so gemacht und die Tableiste bleibt weiterhin oben über der Adressleiste.

    Vielleicht fehlt noch etwas, oder du hast etwas in deinem Firefox, was ich noch nicht gemacht habe.

  • Teste mal dieses Script, es schiebt nur die Tableiste wieder
    unter die Lesezeichenleiste.



    Speichere es als Script: TableisteUnten.uc.js im chrome Ordner.

    Hallo Endor, das Skript hat er doch, ich habe ihm das auch noch einmal angeboten. Er meint, es funktioniere nicht und wäre nutzlos. Aber natürlich funktioniert es.

    Tut mir leid, wenn ich so forsch war gestern.

    Ich hab echt die Geduld verloren. Natürlich wollte ich dich nicht beleidigen. Ich gebe mir die größte Mühe das exakt so zu machen, was ihr Profis mir Laien sagt. Leider ist das Ergebnis abweichend. Es wäre daher schön, wenn ihr mir bei der Fehlersuche helfen könntet.

  • Das Script "AddonLeisteUnten.uc.js" funktioniert ja auch, also scheint bei dem Script zur Tableiste irgendwas zu fehlen, oder etwas verhindert, das es sich die Tableiste weiter runter schiebt.


    Im Firefox 68.0.2 hab ich genau das gleiche Script von dir Endor benutzt und dort geht es ohne Probleme.

  • OK. Wir müssen jetzt von vonr anfangen und der Reihe nach vorgehen.


    Als Erstes: Es scheint so, dass dein Profil nicht richtig für das Ausführen von Skripten vorbereitet ist. Darauf deutet hin, dass das Skript TabLeisteUnten.uc.js bei dir nicht funtioniert. In diesem Skript sind keine Änderungen im Vergleich zu Fx 68 zu machen und es funktioniert - zumindest bei uns - auch unter Fx 69.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • OK. Wir müssen jetzt von vonr anfangen und der Reihe nach vorgehen.


    Als Erstes: Es scheint so, dass dein Profil nicht richtig für das Ausführen von Skripten vorbereitet ist. Darauf deutet hin, dass das Skript TabLeisteUnten.uc.js bei dir nicht funtioniert. In diesem Skript sind keine Änderungen im Vergleich zu Fx 68 zu machen und es funktioniert - zumindest bei uns - auch unter Fx 69.

    Das klingt ja schwierig #seufz ... egal, ich versuche es !


    Bitte sag mir was ich genau prüfen muß, ob alle Vorkehrungen richtig getroffen sind das die Scripte auch laufen.

    Aber bitte langsam, denn ich bin nicht so ein Profi wie du.

  • Irgendwo hier im forum hab ich auch was davon gelesen, das man alle Dateien im FF69 prüfen soll, und alles was "HTML" oder so ähnlich heißt in "XHTML" ändenr soll in den CSS und JS Dateien.


    Achja und ".Element" soll man ja auch in irgendwas anderes umbenennen, aber bitte fragt mich nicht, was das zu bedeuten hat und wo ich da suchen soll.

  • Du warst jetzt noch mit einem Beitrag vor mir und hast geschrieben, dass das Addon-Leisten-Skript funktioniert. Es liegt also doch nicht an der Skriptvorbereitung.


    Was hast du noch an CSS-Dateien in deinem Ordner css? Was steht in der userChrome.css? Benenne am besten die userChrome.css in userChrome.txt um, damit keinerlei CSS-Codes eingelesen werden.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • Wurde das Profil mal zurückgesetzt?


    Mich wundert die Bezeichnung...... default-release.


    Und wenn ja, machst du die Änderungen auch in dem wirklich genutzten Profil?

    Also mein altes Profil von Firefox 68.0.2 "ltuhfjqd.default" wollte der nicht benutzen.

    Der hat sofort nach dem Update auf FF69 das "077xyrvk.default-release" erstellt.

    Ich hab dann einfach alles kopiert aus dem alten Profil und in das neue FF69 Profil kopiert.

  • Irgendwo hier im forum hab ich auch was davon gelesen, das man alle Dateien im FF69 prüfen soll, und alles was "HTML" oder so ähnlich heißt in "XHTML" ändenr soll in den CSS und JS Dateien.


    Achja und ".Element" soll man ja auch in irgendwas anderes umbenennen, aber bitte fragt mich nicht, was das zu bedeuten hat und wo ich da suchen soll.

    Das steht doch hier:


    Firefox 69 Anpassungen fehlerhaft trotz about:config Änderung


    Du hast es bisher nicht gemacht. Dadurch funktionieren mehrere Sachen nicht und die Probleme können sich gegenseitig beeinflussen. Für das Skript TabLeisteUnten.uc.js sind die beiden vorzunehmenden Änderungen nicht relevant. Es muss unverändert weiter funktionieren.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • Du warst jetzt noch mit einem Beitrag vor mir und hast geschrieben, dass das Addon-Leisten-Skript funktioniert. Es liegt also doch nicht an der Skriptvorbereitung.


    Was hast du noch an CSS-Dateien in deinem Ordner css? Was steht in der userChrome.css? Benenne am besten die userChrome.css in userChrome.txt um, damit keinerlei CSS-Codes eingelesen werden.

    Äh sollte das was drinne sein ?

    Bei mir ist der Ordner CSS leer.

    Hab die userChrome umbenannt und als TXT gespeichert und den Code kopiert.


    userChrome.css.txt

  • Ersetze Vorkommen von browser.xul durch browser.xhtml und Vorkommen von createElement durch createXULElement.


    Ich weiß nicht wo die Sachen überall stehen könnten.

    Wo muß ich denn danach suchen im "Chrome" Ordner, oder auch wo meine Firefox.exe sitzt ?

  • Also mein altes Profil von Firefox 68.0.2 "ltuhfjqd.default" wollte der nicht benutzen.

    Der hat sofort nach dem Update auf FF69 das "077xyrvk.default-release" erstellt.

    Ich hab dann einfach alles kopiert aus dem alten Profil und in das neue FF69 Profil kopiert.

    Das liegt daran, dass seite Firefox 67 jeder Release-Kanal sein eigenes Profil verwendet. Du kannst ein Profil nicht mehr für mehrere Release-Kanäle verwenden. Wenn du alle drei Release-Kanäle nutzt, brauchst du drei Profile: eins für die Endversion, eins für die Beta und eins für das Nightly. Du kannst immer nur innerhalb des Release-Kanals updaten.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • Also mein altes Profil von Firefox 68.0.2 "ltuhfjqd.default" wollte der nicht benutzen.

    Der hat sofort nach dem Update auf FF69 das "077xyrvk.default-release" erstellt.

    Ich hab dann einfach alles kopiert aus dem alten Profil und in das neue FF69 Profil kopiert.

    Das liegt daran, dass seite Firefox 67 jeder Release-Kanal sein eigenes Profil verwendet. Du kannst ein Profil nicht mehr für mehrere Release-Kanäle verwenden. Wenn du alle drei Release-Kanäle nutzt, brauchst du drei Profile: eins für die Endversion, eins für die Beta und eins für das Nightly. Du kannst immer nur innerhalb des Release-Kanals updaten.

    Das klingt zwar sehr interessant und schlüssig, aber was bedeutet das nun für mich ?

    Ich hab mein Profil FF68.0.2 kopiert und FF69 Profil Ordner geleert und alles von FF68.0.2 reinkopiert.

    Achja und ich hab auch nur 1 Profil und nicht mehrere im entsprechenden Ordner.

  • Ersetze Vorkommen von browser.xul durch browser.xhtml und Vorkommen von createElement durch createXULElement.


    Ich weiß nicht wo die Sachen überall stehen könnten.

    Wo muß ich denn danach suchen im "Chrome" Ordner, oder auch wo meine Firefox.exe sitzt ?

    Ja, genau das. Du musst einfach mal deine Dateien durchsuchen. Wie Suchen und Ersetzen geht weißt du?


    In CSS-Dateien brauchst du nur nach browser.xul suchen und es durch browser.xhtml ersetzen. In Skript-Dateien musst du ebenfalls nach browser.xul suchen und durch browser.xhtml ersetzen.


    Nur in Skript-Dateien suche am besten nach createElement und ersetze es durch createXULElement


    Achte auf die Schreibweise. Also nicht einfach alles klein schreiben.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice, LibreOffice Onlinehilfe, WordPress und Facebook

  • Meinst du damit nur den Pfad hier ?


    => C:\Users\VMWare-PC\AppData\Roaming\Mozilla\Firefox\Profiles\077xyrvk.default-release\chrome



    Oder muß ich auch hier nach sowas suchen ?


    => C:\meine Programme\Mozilla Firefox\Firefox.exe